---
layout: default
title: GitLab Hackathon
description: "Join the community, hack on GitLab and win prizes!"
canonical_path: "/community/hackathon/"
suppress_header: true
twitter_image: '/images/opengraph/hackathon-generic-card.png'
extra_css:
  - contributing.css
  - styles-2018.css
extra_js:
  - countdown.js
  - hackathon.js
---
-# Schema.org structured data.
:erb
  <script type="application/ld+json">
  {
  "@context": "https://schema.org",
  "@type": "Hackathon",
  "name": "GitLab Hackathon",
  "description": "Get together with the GitLab community to contribute, learn and win exciting prizes.",
  "organizer" : "GitLab",
  "startDate": "2021-12-03",
  "endDate": "2021-12-05",
  "eventStatus": "https://schema.org/EventScheduled",
  "eventAttendanceMode": "https://schema.org/OnlineEventAttendanceMode",
  "location": {
    "@type": "VirtualLocation",
    "url": "https://about.gitlab.com/community/hackathon/"
  }
  }
  </script>

.wrapper
  .simple-hero
    .container
      .row
        .col-md-8.col-md-offset-2.hero-image
          = partial "includes/icons/hackathon-header.svg"

      .row
        %h1 GitLab Hackathon

      .row
        .col-md-6.col-md-offset-3
          :markdown
            Get together with the GitLab community to contribute, learn and win exciting prizes.
            <i class="fab fa-gitlab fa-fw" style="color:rgb(252,109,38); font-size:.85em" aria-hidden="true"></i>
            Join us on December 3rd - December 5th, 2021!
            <i class="fab fa-gitlab fa-fw" style="color:rgb(252,109,38); font-size:.85em" aria-hidden="true"></i>
            <br/>
            <br/>
            <span class="h3" id="nextHackathonCountdown">
            <i class="fas fa-spinner fa-spin fa-fw" style="color:rgb(255,255,255)); font-size:.85em" aria-hidden="true"></i>
            </span>

            <iframe width="560" height="315" src="https://www.youtube.com/embed/4K47L8Q0pwo" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

  #content
    .wrapper.container.contributing-content{role: "main"}
      .block
        .block-content
          %h2.block-title Joining in
          :markdown
            The Hackathon is a virtual event open to anyone who is interested in contributing code, documentation, translations, UX designs and more to GitLab. Prizes are awarded to participants for having Merge Requests (MRs) merged that contribute to the issues/epics linked below.
            <br/>
            By participating in GitLab's Hackathon, you have the opportunity to work on issues that matter to you and advance your skills/experience while joining a global, diverse and inclusive team of contributors and GitLab team members.

            **To get started:**

            **Prior the Hackathon**

            1. Block the dates on your calendar, or [subscribe](https://calendar.google.com/calendar/u/0?cid=Z2l0bGFiLmNvbV9ldGE3bzR0bjRidG44aDBmOGVpZDVxOThyb0Bncm91cC5jYWxlbmRhci5nb29nbGUuY29t) to the [GitLab Developer Evangelism calendar](https://about.gitlab.com/handbook/marketing/community-relations/evangelist-program/#upcoming-events) that includes the Hackathon dates and calls.
            1. Identify an issue (or more) and leave a comment indicating your interest in working on this/these. That way it's less likely for multiple people to be working on the same issue.
            <br>
            
            **During the Hackathon**

            1. [Join the sessions](#sessions) to find more about the hackathon or watch the recording that will be posted afterwards.
            1. In case you don't want to work on the issues described in the <a href="#issues-to-contribute">contribute area below</a>:
              <br>- An easy way to get started for first timers is contributing to documentation. Check out the curated [documentation issues which are welcoming contributions](https://about.gitlab.com/community/contribute/documentation/).
              <br>- To get started with code, check out the curated list of [issues to contribute to](https://about.gitlab.com/community/contribute/development/), based on the project you are interested in contributing to.
              <br>- Check out the [Contribute page](https://about.gitlab.com/contributing/) for additional ways of contributing.
            1. Leave a comment on the issue(s) you are working on. For help, you can ask directly in the issue or at the [contributors channel](#getting-help).

      .block
        .block-content
          %h2#issues-to-contribute.block-title
            %a{ href: '#issues-to-contribute' } Issues/Epics to contribute to
         
          %p
          :markdown
            | Language/Technologies  | Guides | Qualifying (for 5 points) Issues |
            |---------------|-----------------------|--------|----------------------------------|
            | Javascript, Vue | [Contributing to GitLab guide](https://about.gitlab.com/community/contribute/development/#development) | - [Frontend Epics with linked issues available](https://gitlab.com/groups/gitlab-org/-/epics?scope=all&state=opened&label_name[]=Hackathon&label_name[]=frontend) <br> - [Migrating GitLab UI stories simple Javascript issues](https://gitlab.com/groups/gitlab-org/-/epics/5651) <br> - [Improving the Docs website](https://gitlab.com/gitlab-org/gitlab-docs/-/issues?scope=all&state=opened&label_name%5B%5D=Accepting%20merge%20requests) |
            | Ruby on Rails, Terraform, Vault, Kubernetes  | [Contributing to GitLab guide](https://about.gitlab.com/community/contribute/development/#development) | [GitLab General](https://gitlab.com/gitlab-org/gitlab/-/issues?label_name[]=Hackathon) <br> - [Vault related](https://gitlab.com/gitlab-org/gitlab/-/issues/246799) <br> - Kubernetes related: [list one](https://gitlab.com/gitlab-org/cluster-integration/gitlab-agent/-/issues?label_name%5B%5D=good+for+new+contributors) and [list two](https://gitlab.com/groups/gitlab-org/-/issues?scope=all&state=opened&label_name[]=good+for+new+contributors&label_name[]=Category%3AKubernetes%20Management) <br> - [Group Editor related easy issues to begin with (front-end and back-end)](https://gitlab.com/gitlab-org/gitlab/-/issues?scope=all&state=opened&label_name[]=Hackathon&label_name[]=group%3A%3Aeditor) |
            | Javascript Design, [Figma](https://www.figma.com/)  | [How to contribute to UX](https://about.gitlab.com/community/contribute/ux-design/) | [Frontend Issues](https://gitlab.com/gitlab-org/gitlab/-/issues?scope=all&state=opened&label_name[]=Accepting%20merge%20requests&label_name[]=UX&label_name[]=frontend) |
            | Documentation, writing | [Contributing to documentation](https://about.gitlab.com/community/contribute/documentation/) | [Qualifying issues](https://gitlab.com/gitlab-org/gitlab/-/issues?scope=all&state=opened&label_name%5B%5D=good%20for%20new%20contributors&label_name%5B%5D=Accepting%20merge%20requests&label_name%5B%5D=documentation) |

            <p class="alert alert-gitlab-purple text-center">
            <span class="h3" id="hackathonMRCount">
            <i class="fas fa-spinner fa-spin fa-fw" style="color:rgb(107,79,187); font-size:.85em" aria-hidden="true"></i>
            </span>
            </p>

      .block
        .block-content
          %h2#contribute-for-prize.block-title
            %a{ href: '#prize' } Hackathon Prizes

          %p
          :markdown
            We are excited to offer the following categories of prizes for this Hackathon:

          %p
          :markdown
            <p class="alert alert-info">
            <i class="fas fa-info-circle" aria-hidden="true" style="color: rgb(49, 112, 143);"></i>
            All qualifying MRs must be submitted between December 3rd & 5th in your local timezone and be <em>merged</em> by
            <a href="https://www.timeanddate.com/worldclock/fixedtime.html?iso=20220115T23&p1=%3A">January 15th at 23:00 UTC</a>.
            </p>

            | Categories | Eligibility | Prizes  | Description  |
            |------------|-------------|---------|--------------|
            | Grand Prize | Individual(s) with the most points gathered | ![Grand prize](/images/community/hackathon/GitLab_Shop.png) | A Hackathon special swag box and a 25' call with [Sid Sijbrandij, GitLab's CEO](https://about.gitlab.com/handbook/ceo/) |
            | Second Place | Individual(s) with the second most points gathered | ![Second prize](/images/community/hackathon/2nd-new-prize.png) | Miir Coffee Canister or Fabric Charging Pad |
            | Merged MR | Everyone with an MR merged | ![Merged MRs](/images/community/hackathon/new-participation-prize.png) | Tanuki Shirt  |

          %p
          :markdown
            <p class="alert alert-info">
            <i class="fas fa-info-circle" aria-hidden="true" style="color: rgb(49, 112, 143);"></i>
            All qualifying MRs must be submitted between December 3rd and 5th in your local timezone and be <em>merged</em> by
            <a href="https://www.timeanddate.com/worldclock/fixedtime.html?iso=20220115T23&p1=%3A">January 15th at 23:00 UTC</a>.
            </p>

      .block
        .block-content
          %h2#sessions.block-title
            %a{ href: '#sessions' } Hackathon Tutorial office hour sessions
          :markdown
            Tutorial sessions during the Hackathon help you get kickstarted with contributing and to learn more about GitLab development. More sessions/speakers may be added as they are confirmed.

          %p

          %table.table
            %thead
              %tr
                %th
                  Date
                %th
                  Time in
                  = link_to "UTC", "https://en.wikipedia.org/wiki/Coordinated_Universal_Time"
                  %br
                  (click for local time)
                %th
                  Topic
                %th
                  Session
                %th
                  Speakers

            %tbody
              %tr
                %td
                  December 2nd
                %td
                  = link_to "12:00 - 12:30,", "https://www.timeanddate.com/worldclock/fixedtime.html?iso=20211202T12&p1=1440&am=30"
                  = link_to "Add it to your calendar", "https://calendar.google.com/calendar/u/0?cid=Z2l0bGFiLmNvbV9ldGE3bzR0bjRidG44aDBmOGVpZDVxOThyb0Bncm91cC5jYWxlbmRhci5nb29nbGUuY29t"
                %td
                  Hackathon Kickoff - Learn all about our new Hackathon format, and get ready to start contributing
                %td
                  <a href="https://gitlab.zoom.us/j/91911477134">Zoom link to Join.</a>
                %td
                  = link_to "Christos Bacharakis (@cbacharakis)", "https://gitlab.com/cbacharakis"
              %tr
                %td
                  December 6th
                %td
                  = link_to "12:00 - 12:30,", "https://www.timeanddate.com/worldclock/fixedtime.html?iso=20211206T12&p1=1440&am=30"
                  = link_to "Add it to your calendar", "https://calendar.google.com/calendar/u/0?cid=Z2l0bGFiLmNvbV9ldGE3bzR0bjRidG44aDBmOGVpZDVxOThyb0Bncm91cC5jYWxlbmRhci5nb29nbGUuY29t"
                %td
                  Hackathon Wrap-up call - The Hackathon is over, what's next?!
                %td
                  <a href="https://gitlab.zoom.us/j/95671453418">Zoom link to Join.</a>
                  
                %td
                  = link_to "Christos Bacharakis (@cbacharakis)", "https://gitlab.com/cbacharakis"

          %p
          :markdown
            <p class="alert alert-info">
            <i class="fas fa-info-circle" aria-hidden="true" style="color: rgb(49, 112, 143);"></i>
            If you miss any of the sessions, you will find the recordings in the
            <a href="https://www.youtube.com/playlist?list=PLFGfElNsQthapq-CyXBTVnT2yKqg1JrNh">Hackathon Playlist</a>.
            </p>

          %h3#getting-help.block-title
            %a{ href: '#getting-help' } Getting help
          %p
          :markdown
            For communications during the Hackathon, we will use the GitLab Contributors room in Gitter. This is a channel for community-related discussions and for community members to help each other as people have questions when contributing to GitLab.

            It's open to everyone, so please [join us at the Contributors Gitter room](https://gitter.im/gitlabhq/contributors)!

      .block
        .block-content
          %h2#past-events.block-title
            %a{ href: '#past-events' } Past events

          %p
            To learn more about previous Hackathon events, visit the
            %a{href: "https://about.gitlab.com/community/hackathon/past-events/"} past GitLab Hackathons page.

      .block
        .block-content
          #hackathon-q-a.animated
            %h2#faq.block-title
              %a{ href: '#faq' } Frequently Asked Questions
            .faq-holder.clearfix
              %ol.faq-container.list-unstyled
                %li.faq-item
                  .faq-inner-item
                    %a.faq-question.js-faq-question
                      Which GitLab projects qualify for the Hackathon?
                      %i.fa.fa-angle-down.pull-right
                    .faq-answer
                      :markdown
                        While we generally encourage contribution to the [GitLab](https://gitlab.com/gitlab-org/gitlab) project, MRs for any project under the
                        [`gitlab-org` group](https://gitlab.com/gitlab-org), [Meltano](https://gitlab.com/meltano/meltano), and [www-gitlab-com](https://gitlab.com/gitlab-com/www-gitlab-com) qualify for the Hackathon. If you are in doubt about a project which is not on this list, please do ask us on the [Contributors Gitter channel](https://gitter.im/gitlabhq/contributors).

              %ol.faq-container.list-unstyled
                %li.faq-item
                  .faq-inner-item
                    %a.faq-question.js-faq-question
                      How are the points being calculated?
                      %i.fa.fa-angle-down.pull-right
                    .faq-answer
                      :markdown
                        In a previous Hackathon (Q2 2021), we introduced a point system upon which the winners were decided. This worked well, so we're keen to continue with its adoption.
                        <br>Specifically:
                        <br> - 1 point for any MR merged that is not associated with an open/existing issue
                        <br> - 2 points, for [each MR merged that is associated/closing an open/existing issue](https://about.gitlab.com/community/contribute/development/)
                        <br> - 5 points, for each MR merged that is associated/closing one of the issues linked to in the <a href="#issues-to-contribute">Hackathon's main page</a>
              %ol.faq-container.list-unstyled
                %li.faq-item
                  .faq-inner-item
                    %a.faq-question.js-faq-question
                      What are the key dates for the current Hackathon?
                      %i.fa.fa-angle-down.pull-right
                    .faq-answer
                      :markdown
                        - December 3rd - 5th (in your local timezone): all MRs must be submitted
                        - [January 15th 23:00 UTC](https://www.timeanddate.com/worldclock/fixedtime.html?iso=20220115T23&p1=%3A): all qualifying MRs must have been _merged_
              %ol.faq-container.list-unstyled
                %li.faq-item
                  .faq-inner-item
                    %a.faq-question.js-faq-question
                      My Merge Request has been merged. What's next?
                      %i.fa.fa-angle-down.pull-right
                    .faq-answer
                      :markdown
                        After the 15th of January, the team will review all the qualifying MRs merged and reach out to contributors. Please expect an email by the 26th of January.
